/*!--------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See LICENSE in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
import { NotificationType, RequestType } from 'vscode-languageserver-protocol';
import { TextDocumentParams } from '../service/ExtendedParams';
export type DocumentSettingsClientCapabilities = {
    readonly request: boolean;
    readonly notify: boolean;
};
export declare const LF = 1;
export declare const CRLF = 2;
type EndOfLine = typeof LF | typeof CRLF;
export interface DocumentSettings {
    tabSize: number;
    eol: EndOfLine;
}
export type DocumentSettingsParams = TextDocumentParams;
export declare namespace DocumentSettingsRequest {
    const method: "$/textDocument/documentSettings";
    const type: RequestType<TextDocumentParams, DocumentSettings | null, never>;
}
export type DocumentSettingsNotificationParams = DocumentSettingsParams & DocumentSettings;
export declare namespace DocumentSettingsNotification {
    const method: "$/textDocument/documentSettings/didChange";
    const type: NotificationType<DocumentSettingsNotificationParams>;
}
export {};
