"use strict";
/*!--------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See LICENSE in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_languageserver_1 = require("vscode-languageserver");
const node_1 = require("vscode-languageserver/node");
const ComposeLanguageService_1 = require("./service/ComposeLanguageService");
const connection = (0, node_1.createConnection)(vscode_languageserver_1.ProposedFeatures.all);
// Hook up the connection
connection.onInitialize((params) => {
    const service = new ComposeLanguageService_1.ComposeLanguageService(connection, params);
    connection.onShutdown(() => {
        service.dispose();
    });
    // Return the InitializeResult
    return {
        capabilities: service.capabilities,
        serverInfo: {
            name: 'Docker Compose Language Server',
        },
    };
});
// Start the connection
connection.listen();
//# sourceMappingURL=server.js.map