/*!--------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See LICENSE in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
import { Connection, Disposable, InitializeParams, ServerCapabilities } from 'vscode-languageserver';
export declare class ComposeLanguageService implements Disposable {
    readonly connection: Connection;
    private readonly clientParams;
    private readonly documentManager;
    private readonly subscriptions;
    private readonly telemetryAggregator;
    private readonly _capabilities;
    constructor(connection: Connection, clientParams: InitializeParams);
    dispose(): void;
    get capabilities(): ServerCapabilities;
    private onDidChangeDocumentSettings;
    private createLspHandler;
    private createDocumentManagerHandler;
    private callWithTelemetryAndErrorHandling;
}
