/*!--------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See LICENSE in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
import { TextDocumentChangeEvent } from 'vscode-languageserver';
import { ComposeDocument } from '../ComposeDocument';
import { ExtendedParams } from '../ExtendedParams';
import { ProviderBase } from './ProviderBase';
export declare class DiagnosticProvider extends ProviderBase<TextDocumentChangeEvent<ComposeDocument> & ExtendedParams, void, never, never> {
    private readonly diagnosticDelay;
    private readonly syntaxValidation;
    private readonly schemaValidation;
    constructor(diagnosticDelay: number, syntaxValidation: boolean, schemaValidation: boolean);
    on(params: TextDocumentChangeEvent<ComposeDocument> & ExtendedParams): void;
}
