/*!--------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See LICENSE in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
import { CompletionItem } from 'vscode-languageserver';
import { ExtendedCompletionParams } from '../../ExtendedParams';
interface ExtendedCompletionItem extends CompletionItem {
    /**
     * The matching expression
     */
    matcher?: RegExp;
    /**
     * Insert text is required in ExtendedCompletionItem
     */
    insertText: string;
    /**
     * Whether a completion is an advanced compose completion
     */
    isAdvancedComposeCompletion: boolean;
}
export declare class CompletionCollection extends Array<ExtendedCompletionItem> {
    readonly name: string;
    private readonly locationRequirements;
    constructor(name: string, locationRequirements: CompletionLocationRequirements, ...items: ExtendedCompletionItem[]);
    getActiveCompletionItems(params: ExtendedCompletionParams): CompletionItem[] | undefined;
}
interface CompletionLocationRequirements {
    logicalPaths?: RegExp[];
    indentationDepth?: number;
}
export {};
