/*!--------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See LICENSE in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
import { Connection, Disposable } from 'vscode-languageserver';
import { TelemetryEvent } from '../../../client/TelemetryEvent';
export declare class TelemetryAggregator implements Disposable {
    private readonly connection;
    private readonly interval;
    private eventBuffer;
    private readonly timer;
    constructor(connection: Connection, interval?: number);
    dispose(): void;
    logEvent(event: TelemetryEvent): void;
    private flush;
    private getAggregatedEvents;
}
